media
Read a media, with a fresh URL
Confirms a pending upload as a side effect, so this doubles as the “did my upload land?” check. url is signed and short-lived — read again rather than caching it.
GET
/
api
/
media
/
{id}
Read a media, with a fresh URL
curl --request GET \
--url https://client-api.lala.ist/api/media/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.lala.ist/api/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://client-api.lala.ist/api/media/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"media": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "image",
"mimeType": "<string>",
"sizeBytes": 0,
"width": 0,
"height": 0,
"durationMs": 0,
"fileName": "<string>",
"status": "pending",
"url": "<string>",
"urlExpiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}Read a media, with a fresh URL
curl --request GET \
--url https://client-api.lala.ist/api/media/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.lala.ist/api/media/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://client-api.lala.ist/api/media/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"media": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "image",
"mimeType": "<string>",
"sizeBytes": 0,
"width": 0,
"height": 0,
"durationMs": 0,
"fileName": "<string>",
"status": "pending",
"url": "<string>",
"urlExpiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
]
}